POST /giftCards/channel/{channelLinkId}/profileLink/{giftCardProviderProfileLinkId}/applyGiftCard

Path parameters

  • channelLinkId string Required
  • giftCardProviderProfileLinkId string Required
application/json

Body

  • number string(color)
  • verificationCode string(utc-millisec)
  • amount integer

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • balance integer
POST /giftCards/channel/{channelLinkId}/profileLink/{giftCardProviderProfileLinkId}/applyGiftCard
curl \
 --request POST 'https://api.staging.deliverect.com/giftCards/channel/{{channelLinkId}}/profileLink/{{giftCardProviderProfileLinkId}}/applyGiftCard' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"amount":100,"number":"ABC","verificationCode":"1234"}'
Request example
{
  "amount": 100,
  "number": "ABC",
  "verificationCode": "1234"
}
Response examples (200)
{
  "balance": 42
}